Bug 192002 - FC4 kernel 2.6.16 boot fails with IRQ messages
FC4 kernel 2.6.16 boot fails with IRQ messages
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-16 14:59 EDT by david schuller
Modified: 2008-01-19 23:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description david schuller 2006-05-16 14:59:16 EDT
Description of problem: Using kernel 2.6.16, bootup stalls with multiple error
messages about IRQ problems with my DVD drive, on /dev/hdd.

Version-Release number of selected component (if applicable): Problem happens
with all 2.6.16 kernels I have installed: 2.6.16-1.2108_FC4, 2.6.16-1.2107_FC4,

Boots just fine with  2.6.15-1.1833_FC4 and all prior kernels

How reproducible: Every time I try to boot with a 2.6.16 kernel.

Steps to Reproduce:
1. install 2.6.16 kernel using yum update
2. reboot

Actual results: Boot procedure gets to IDE device recognition, then a series of
messages about failure with hdd:
hdd: IRQ probe failed (0xfffffcfc)
hdd: PIONEER DVD-RW DVR-108 etc
hdd: lost interrupt
hdd packet command error: status" 0x51 {DriveReady SeekComplete Error}
hdd packet command error: 0x40 Last FailedSens: 0x04}
etc. etc.

Expected results:

Additional info: Socket A Athlon, motherboard is A7V8X, DVD drive is Pioneer
Comment 1 david schuller 2006-05-22 16:20:15 EDT
Same thing with kernel 2.6.16-1.2111_FC4
Comment 2 david schuller 2006-06-29 10:28:55 EDT
The problem persists. All versions of 2.6.16 and 2.6.17 fail to boot on this
machine. Still running 2.6.15. Screen shots from boot failure:


Could these messages mean something?:
PCI: VIA IRQ fixup for 0000:00:11.1, from 255 t0 15
VP_IDE: VIA vt8235 (rev 00) IDE UDMA133 controller on pci0000:00:11.1
Comment 3 Dave Jones 2006-09-16 21:44:02 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Dave Jones 2006-10-16 13:38:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:37:43 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.